Home page logo
/

nmap-dev logo Nmap Development mailing list archives

Re: Zenmap GUI & nmap-update on Mac OS X 10.9.3 - wrong library references
From: Barry Allard <barry.allard () gmail com>
Date: Tue, 1 Jul 2014 21:28:34 -0700

Hello,

I also recently gave zenmap a go on osx 10.9.4 from http://nmap.org/dist/nmap-6.46.dmg.

It asks for the osx priv elevation, then silently exits.  There were no errors in the Console.app, only a mention of 
starting /Applications/Zenmap.app/Contents/MacOS/zenmap_wrapper.py

Running from the terminal as per Fabrizio, I encountered a similar error about libffi.

Not a solution, but here's a script that audits all installed files for dependency leaks:

    https://gist.github.com/steakknife/1773677191440fd64dc2

Also, I’ve seen folks setup non-persistent VMs for clean, isolated, reproducible builds.  Regardless of legalities, OSX 
can be virtualized without too much trouble.

Finally, signing the .pkg installer inside the .dmg &&(prefbly)/|| gpg signing the .dmg might be good ideas, because 
some folks frown at running untrusted code.

Thanks,
Barry Allard

Attachment: signature.asc
Description: Message signed with OpenPGP using GPGMail

_______________________________________________
Sent through the dev mailing list
http://nmap.org/mailman/listinfo/dev
Archived at http://seclists.org/nmap-dev/

  By Date           By Thread  

Current thread:
  • Re: Zenmap GUI & nmap-update on Mac OS X 10.9.3 - wrong library references Barry Allard (Jul 02)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]